Bug 995649 - Failed to wakeup eSATA disk connected by device sata_sil24 (silicon 3124) [NEEDINFO]
Failed to wakeup eSATA disk connected by device sata_sil24 (silicon 3124)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 22:07 EDT by konan100
Modified: 2013-11-27 11:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:09:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (konan100)


Attachments (Terms of Use)
related logs from /var/log/messages (63.60 KB, text/plain)
2013-08-09 22:07 EDT, konan100
no flags Details

  None (edit)
Description konan100 2013-08-09 22:07:17 EDT
Created attachment 785051 [details]
related logs from /var/log/messages

Description of problem:
My desktop connect to some external disks by eSATA cable, by leaverage port multipler capability of Silicon 3124 chipset, these disks works proper until I trying to enable power management capability.
The system is moved from Windows XP to FC18 recently. The original Windows XP's power management still works fine for these disks, it will switch these disks to standby mode after long time idle. But the power management works poor with following issues --
(1) Losts of disks don't support APM
(2) hdparm -S 180 (set by disk utility) seem don't work because hdparm -C always show disk state is active/idle
(3) Some disks seem go into standby mode but kernel do not aware, and the following up access failed and such disk is removed by kernel after some I/O fails

There are 5 disks connected by same SATA port multipler, and only 2 of them are getting this problem. I assume the problem is more software or device related and google search seem not found helpful solution. 

Version-Release number of selected component (if applicable):
kernel version 3.9.11-200.fc18.x86_64

How reproducible:
reboot or unattach/reattch external disks, wait for 1 hour, and following error will prompt in consol -- warning: Your hard drive is failing, Device: /dev/sdh [SAT], unable to open device.

Steps to Reproduce:
1. reboot or unattach/reattch external disks
2. wait for 1 hour
3. warning: Your hard drive is failing, Device: /dev/sdh [SAT], unable to open device

Actual results:
/dev/sdh is removed from device list, and the problem disk seem already spindown.

Expected results:
Kernel or driver can detect the device go into spindown mode and wake it up properly when a I/O request received. At least, trying to wake up the device to prevent device fail.

Additional info:
Comment 1 Justin M. Forbes 2013-10-18 17:18:20 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2013-11-27 11:09:55 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.